### Method

# FwupdPlugin X509Certificate set_subject

since: 2.0.13

#### Declaration [src]

    void
    fu_x509_certificate_set_subject (
      FuX509Certificate* self,
      const gchar* subject
    )

#### Description [src]

Sets the certificate subject.

Available since: 2.0.13

#### Parameters

`subject`

  Type: `const gchar*`

  The certificate subject.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.